
{.if|{.and|{.=|%ip%|127.0.0.1.}|{.=|{.substring||:|%host%.}|127.0.0.1.}|{.^unconfigured.}.}|{:

{.add header|Set-Cookie: SID=deleted; Path=/; Expires=Wed, 09 Jun 1999 10:18:14 GMT; .}
{.add header|Set-Cookie: USR=deleted; Path=/; Expires=Wed, 09 Jun 1999 10:18:14 GMT; .}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>

  <title>Installer {.^webtitle.}</title>
  <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />

{.$resources.}

  </head>


<body>
<center>


<table><tr><td id='maintable' style="text-align:left;padding-left:64px;padding-right:64px;width:896px;" >



  <script type="text/javascript">{.load|installer.js.}</script>


<div style="float:right">

<img src='{.^getimage|fhfs2.png.}' id='installer_logo' alt='' style="margin-top:32px;" /><br />{.^height|16.}

Powered by FHFS Version {.^version.} {.if|{.^pre.}|{.^pre.}.}

</div>


<div id="installer_head" >
In order to set up your FHFS server, some information will need to be filled in. Upon completion, your settings will be saved and your server will be opened to the public.
A test email will be sent out to you after completing the installer. Note that these are only very basic settings, and that many more advanced options
are available in the administrator console, after completing this initial installation.<br /><br />
</div>


<br /><hr /><br />

<form name="form" onSubmit="submitForm(); return false;" id="form" >


<fieldset class="installer_fieldset" style="width:600px;">
<legend>Content Directory</legend>

<span style="font-size:11px;">Type in a path for the content-users folder to go, e.g. "D:\Storage" - Leave blank for "C:\Program Files\FHFS"<br />Type the path without the quotes. Also Note that these folders can potentially take up a lot of space!</span><br /><br />

User Files Folder: <input class="installer_input" type="text" id="contentdir" name="contentdir" style="text-align:center;" size="64" value="" /> <br /><br />

</fieldset><br />



<fieldset class="installer_fieldset" >
<legend>Outgoing Email Settings</legend>

* These settings are stored locally on the server and will not be available over the internet.<br />
* To test your email settings, you can try submitting the contact form after completing installation.<br /><br />

Email "From" Name: <input class="installer_input" type="text" id="emailfromname" name="emailfromname" size="40" value="" /> <br /><span style="font-size:13px;">(this is the name you want administrative emails to be sent from, e.g. "John")</span><br /><br />
Email "From" Address: <input class="installer_input" type="text" id="emailfromaddress" name="emailfromaddress" size="40" value="" /> <br /><span style="font-size:13px;">(this is the email address you want administrative emails to be sent from, e.g. "john12@gmail.com")</span><br /><br />
Email "BCC" Address: <b>(optional)</b><input class="installer_input" type="text" id="emailbcc" name="emailbcc" size="40" value="" /> <br /><span style="font-size:13px;">(if you want all emails sent to be forwarded to another email for record-keeping, enter it here)<br />(Note that all emails sent are also saved to the SendEmail log and to the 'sentemails' folder)</span><br /><br />
Email Hostname: <input class="installer_input" type="text" id="emailhost" name="emailhost" size="40" value="" /> <br /><span style="font-size:13px;">(this is the hostname of your SMTP server <u>with port number</u>, e.g. "smtp.google.com:465")</span><br /><br />
Email Username: <input class="installer_input" type="text" id="emailusername" name="emailusername" size="40" value="" /> <br /><span style="font-size:13px;">(if your SMTP server requires authentication, enter your username here, e.g. "john12@gmail.com")</span><br /><br />
Email Password: <input class="installer_input" type="password" id="emailpassword" name="emailpassword" size="40" value="" /> <br /><span style="font-size:13px;">(if your SMTP server requires authentication, enter your password here, e.g. "passw0rd")</span><br /><br />
SSL/TLS Connection: <input type="checkbox" id="emailssl" name="emailssl" value="1"  /> <br /><span style="font-size:13px;">(enabling this will use SSL/TLS for sending emails which is required for some hosts such as Gmail... default is off)</span><br /><br />
</fieldset><br />



<fieldset class="installer_fieldset" >
<legend>Administrator Account</legend>

* When logged onto this account, you can change settings on the server and perform administrative tasks.<br /><br />

Administrator Username: <input class="installer_input" type="text" id="adminname" name="adminname" size="40" value="" /> <br /><span style="font-size:13px;">(This is the username for the FHFS root account, e.g. "iruletheworld123")</span><br /><br />
Administrator Password: <input class="installer_input" type="password" id="adminpass1" name="adminpass1" size="40" value="" /> <br /><span style="font-size:13px;">(This is the password for the root account.  Use a complex password!)</span><br /><br />
Re-Enter Admin Password: <input class="installer_input" type="password" id="adminpass2" name="adminpass2" size="40" value="" /> <br /><span style="font-size:13px;">(This is the password for the root account.  Use a complex password!)</span><br /><br />
Administrative Email:<input class="installer_input" type="text" id="adminemail" name="adminemail" size="40" value="" /> <br /><span style="font-size:13px;">(This is an email for your administrator account.)</span><br /><br />
Allow Users to See this Address: <input type="checkbox" id="adminemailtype" name="adminemailtype" value="1"  /> <br /><span style="font-size:13px;">(Check to allow users to see this email address for support, etc.)</span><br /><br />

</fieldset><br />



<input type="checkbox" id="license" name="license" /> Do you agree to the Licenses of FHFS?<br />{.^height|16.}

<div style="width:500px;font-weight:bold;text-align:center;">After clicking 'Start Installation', you may have to wait up to 60 seconds for your request to process.
While setup is processing, you may notice several more windows open.  Don't touch these, they will close automatically.</div>

<input id="submit" class="installer_input" type="submit" name="send" value="Start Installation" style="font-size:16px;font-weight:bold;padding:8px;cursor:pointer;float:right;margin-top:-48px;" />

</form>

{.^height|16.}
</td></tr></table>
{.^height|64.}

:}|{:{.redirect|/~deny.}:}.}























